Skip to main content
POST

Authorizations

X-API-KEY
string
header
required

Production OpenAPI Accessor access_key. You can find it in My API in the ADP platform. If the key is disabled, expired, or does not belong to the production environment, the API returns Accessor not found.

Path Parameters

tenant_name
string
default:laiye
required

Tenant name. Default: laiye.

Body

application/json

Field configuration generation request. The request body must provide file_url or file_base64. prompt can be used as an auxiliary generation instruction.

app_id
string
required

Application ID. When you pass a high-speed custom extraction application, the response returns a high-speed auto-configuration preview.

file_base64
string
required

Base64-encoded file. Required for high-speed applications if file_url is not provided.

file_url
string<uri>

File URL. Required for high-speed applications if file_base64 is not provided.

prompt
string

User-provided generation instruction. Provide a file as well, and use prompt only as an auxiliary instruction.

doc_type
string

Document type. You can provide this for standard application recommendations. High-speed applications detect the document type automatically.

doc_type_description
string

Document type description. You can provide this for standard application recommendations.

Response

Field configuration generation result. High-speed applications return a configuration preview and do not save a configuration version.

code

Business code. A successful response is usually success or 200.

message
string

Response message.

tips
string | null

Details. Defaults to null.

data
object